<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports DOMAIN products
 *
 * @package    OSB
 * @subpackage Product/Domain
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Product_Plugin_Domain extends Model_Product_Plugin {
	// This model doesnt have a database table
	public function __construct() {
	}

	// Our required abstract methods
	public function admin_update() {}
	public function feature_summary() {}

	// @todo This is not used, but should be.
	public function order_features() {
		$output = '';
		$t = ORM::factory('domain_tld');

		// @todo Change this to a view.
		$output = sprintf('<table class="box-full"><tr class="head"><td>%s</td></tr><tr><td>',_('Domains are available with the following suffixes'));
		$output .= Table::display(
				$t->where('status','=','1')->find_all(),
				25,
				array( 
					'display("name")'=>array('label'=>'TLD Suffix'),
				),
				array( 
			));
		$output .= '</td></tr></table>';

		return $output;
	}
}
?>
